Page MenuHomePhabricator

Drop IE8 compatibility hacks in MediaViewer
Closed, ResolvedPublic0 Story Points

Description

MediaWiki is dropping IE8 JS support in 1.27 so they are just cruft.

Event Timeline

Tgr created this task.Jan 13 2016, 12:10 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaViewer.
Tgr added a subscriber: Tgr.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 13 2016, 12:10 AM
Jdlrobson triaged this task as Low priority.Jan 13 2016, 6:20 PM
Jdlrobson added a project: good first bug.
Jdlrobson set Security to None.

Could this be a Google Code-in task that someone (who?) would be willing to mentor?

Tgr added a comment.Jan 13 2016, 10:18 PM

If there is a shortage of GCI tasks, I'd rather help find them new tasks which make a difference and aren't just housekeeping.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 27 2016, 4:22 PM

Change 296499 had a related patch set uploaded (by Mholloway):
Remove IE8 JS compatibility hacks/workarounds

https://gerrit.wikimedia.org/r/296499

Change 296499 merged by jenkins-bot:
Remove IE8 JS compatibility hacks/workarounds

https://gerrit.wikimedia.org/r/296499

Jdlrobson closed this task as Resolved.Jul 14 2016, 9:47 PM

@Jdlrobson Did Web do this task? Is it actually a tracking task? Just calculating velocity, points, etc. If Web did it, it needs points. :)

Jdlrobson set the point value for this task to 0.Jul 18 2016, 5:24 PM

We reviewed work by @Mholloway. Arguably you could add 0.5 on it but it wasn't much work at all.

Restricted Application added a project: Multimedia. · View Herald TranscriptOct 10 2017, 7:43 PM